Subject: TYPO3 4.5.37 not compatible with PHP 5.2.x
Description

On typo3.org the system requirements for TYPO3 4.5 state a minimum version of PHP 5.2.

After upgrading a system from 4.5.36 to 4.5.37 I encountered the following error message in FE:

Fatal error: func_get_args(): Can't be used as a function parameter in t3lib/class.t3lib_div.php on line 5432

The function func_get_args() can't be used as a function parameter in PHP < 5.3. In PHP versions <= 5.2 the output of the function
needs to be saved to a variable which then can be used as parameter.

Possible fix (of course a better fix is to switch to PHP 5.3 or higher):

Replace

$instance = self::instantiateClass($finalClassName, func_get_args());

with

$v = func_get_args();
$instance = self::instantiateClass($finalClassName, $v);

Related issues:
duplicates Core - Bug # 62391: TYPO3 4.5.37 requires PHP 5.3 Resolved 2014-10-22

History
#1 - 2014-10-23 00:08 - Markus Klein
- Status changed from New to Closed

Hi Jochen, this is already fixed in the 4.5 branch with #62391.

Closing this as duplicate.

#2 - 2014-10-23 12:12 - Martin Bless

Just for info and completeness: Another workaround seems to be
$TYPO3_CONF_VARS['SYS']['exceptionalErrors'] ^=  E_STRICT;

in the localconf.php.

See: http://mbless.de/blog/2014/09/25/typo3-strict-standards-trouble.html

#3 - 2014-10-23 12:17 - Martin Bless

Oops, I just noticed, that the problem I'm writing about in my blog is something different.
But I guess it has the same underlying reason (strict standards becoming active).

See: http://mbless.de/blog/2014/09/25/typo3-strict-standards-trouble.html
